#include <iostream>

using namespace std;

int main()
{

    ios::sync_with_stdio(0);
    cin.tie(0);
    int N,K,x,y=1;
    cin >> N >> K;
    int a[N];
    for(int i=0; i<N; i++)
    {
        cin >> x;
        a[i]=x;
        if(x==K)
            if(i-1>0)
                y=a[i-1];
    }
    if(y)
        y=a[0];

    cout << y;

    return 0;
}